Places SDK for Android 版本

选择平台Android iOS JavaScript

Google Maps Platform 团队会定期更新 SDK,以加入新功能、修复 bug 并提升性能。本页面介绍如何管理移动 SDK 的依赖项。

  • 对于任务关键型应用,请链接到您所使用的主要版本的最新次要版本 (X.*),并每年升级到新的主要版本。

    如果您全年发布应用的新版本,则可以开始使用新版 Places SDK for Android。您无需更新应用,因为新的次要版本可向后兼容。

    优势

    • 如果您在 Places SDK for Android 中发现问题,我们会根据移动支持政策在主要版本首次发布后 12 个月内以向后兼容的方式进行修复。您无需紧急升级到不兼容的 SDK 版本即可从修复中受益。
    • 如果您已基于最新版本构建应用,可轻松采用最新的改进和功能。
    • 与处理主要版本的多次发布引入的向后不兼容性更改相比,如果每年对 SDK 的最新主要版本进行增量更新,调整、重写和测试应用所需的工作量会更少。

  • 对于非关键型应用,请链接到任何修复版本。收到该修复版本的弃用通知后,您需要在 12 个月内向用户提供更新后的应用代码。

    优势

    • 降低维护频率。
    • 应用的新版本对搭载旧版移动操作系统的用户设备的支持时间更长(直到您需要升级到新的 SDK 版本时)。

如果项目所有者的电子邮件地址受到监管,他们会在相关更改对自己的每个项目产生影响时收到系统的主动通知。请及时了解重大更新、弃用和其他更改。

安装

在应用级 build.gradle 文件中,请务必指定版本,而不是前缀范围 (+) 或 latest,否则可能会导致不可预测且不可重复的 build。Places SDK for Android 遵循语义化版本控制,并且新的主要版本可能包含破坏性更改。支持的最低 API 级别为 21。

dependencies {
    implementation 'com.google.android.libraries.places:places:3.0.0'
}

维护和升级

Android Studio 会自动检查是否有更新的版本,并在有更新版本的依赖项时发出警告。为了尽可能减少技术债务,请尽快更新到最新版本。如果您要更新到新的主要版本,请查看版本说明,了解向后不兼容性更改以及代码更新方法。

除了可以轮询更新的版本之外,Google Cloud 项目所有者还会收到电子邮件,通过邮件得知可能会影响其项目的向后不兼容性更改。如需获取有关向后不兼容性更改的主动通知,请为您的每个项目分配所有者角色,并提供有人监控的电子邮件地址。